Bug 822160

Summary: Fix automatic PCI address assignment for USB2 companion controllers
Product: [Fedora] Fedora Reporter: Oved Ourfali <oourfali>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: acathrow, ajia, berrange, cfergeau, clalancette, crobinso, dallan, dougsland, dyasny, dyuan, hdegoede, iheim, itamar, jforbes, jyang, laine, libvirt-maint, mzhan, oourfali, rwu, veillard, virt-maint, weizhan
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820869 Environment:
Last Closed: 2012-07-05 19:45:18 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 820869    
Bug Blocks: 803458    

Comment 1 Cole Robinson 2012-06-07 16:16:59 EDT
--- Additional comment from berrange@redhat.com on 2012-05-15 12:21:12 EDT ---

Fix comprises the following 3 upstream commits.

commit 03b804a200e214e3faf264b16f41a640c1344962
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Mon May 14 13:22:58 2012 +0100

    Set a sensible default master start port for ehci companion controllers
    
commit 1ebd52cb871f87b7868503b28448e96d59e41d63
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Mon May 14 11:16:22 2012 +0100

    Fix logic for assigning PCI addresses to USB2 companion controllers

commit 2c195fdbf3293792e39bc4f06755ae751025b0ea
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Tue May 15 16:16:49 2012 +0100

    Fix virDomainDeviceInfoIsSet() to check all struct fields
Comment 2 Fedora Update System 2012-06-24 19:55:32 EDT
libvirt-0.9.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libvirt-0.9.6.1-1.fc16
Comment 3 Fedora Update System 2012-06-25 20:56:09 EDT
Package libvirt-0.9.6.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-0.9.6.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9913/libvirt-0.9.6.1-1.fc16
then log in and leave karma (feedback).
Comment 4 Oved Ourfali 2012-06-28 04:28:02 EDT
Is that fix already in a package for Fedora 17 as well?
Comment 5 Dave Allan 2012-06-28 09:01:37 EDT
Cole, can you answer that?
Comment 6 Cole Robinson 2012-06-29 11:33:07 EDT
Yes this fix should be in the version just recently pushed to F17 stable.
Comment 7 Fedora Update System 2012-07-05 19:45:18 EDT
libvirt-0.9.6.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.